package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 预处理对象 t_data_preprocessing
 * 
 * @author fuyanting
 * @date 2024-04-30
 */
public class TDataPreprocessing extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String columnName;

    /** 处理前 */
    @Excel(name = "处理前")
    private String beforeProcessing;

    /** 处理后 */
    @Excel(name = "处理后")
    private String afterProcessing;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setColumnName(String columnName) 
    {
        this.columnName = columnName;
    }

    public String getColumnName() 
    {
        return columnName;
    }
    public void setBeforeProcessing(String beforeProcessing) 
    {
        this.beforeProcessing = beforeProcessing;
    }

    public String getBeforeProcessing() 
    {
        return beforeProcessing;
    }
    public void setAfterProcessing(String afterProcessing) 
    {
        this.afterProcessing = afterProcessing;
    }

    public String getAfterProcessing() 
    {
        return afterProcessing;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("columnName", getColumnName())
            .append("beforeProcessing", getBeforeProcessing())
            .append("afterProcessing", getAfterProcessing())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
