import request from '@/utils/request'

// 查询SQD明细列表
export function listSqddetail(query) {
  return request({
    url: '/biz/sqddetail/list',
    method: 'get',
    params: query
  })
}

// 查询SQD明细详细
export function getSqddetail(id) {
  return request({
    url: '/biz/sqddetail/' + id,
    method: 'get'
  })
}

// 查询SQD明细详细
export function checkSqddetail(id) {
  return request({
    url: '/biz/sqddetail/sqddetailexist/' + id,
    method: 'get'
  })
}


// 查询SQD明细详细
export function getSqddetailbysqdid(sqdid) {
  return request({
    url: '/biz/sqddetail/sqdid/' + sqdid,
    method: 'get'
  })
}

// 新增SQD明细
export function addSqddetail(data) {
  return request({
    url: '/biz/sqddetail',
    method: 'post',
    data: data
  })
}

// 修改SQD明细
export function updateSqddetail(data) {
  return request({
    url: '/biz/sqddetail',
    method: 'put',
    data: data
  })
}

// 删除SQD明细
export function delSqddetail(id) {
  return request({
    url: '/biz/sqddetail/' + id,
    method: 'delete'
  })
}
