use cirs;
-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预处理', '0', '1', 'preprocessing', 'biz/preprocessing/index', 1, 0, 'C', '0', '0', 'biz:preprocessing:list', '#', 'admin', sysdate(), '', null, '预处理菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预处理查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'biz:preprocessing:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预处理新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'biz:preprocessing:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预处理修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'biz:preprocessing:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预处理删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'biz:preprocessing:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预处理导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'biz:preprocessing:export',       '#', 'admin', sysdate(), '', null, '');

ALTER TABLE t_data_preprocessing MODIFY COLUMN column_name VARCHAR(255);

INSERT INTO `t_data_preprocessing` VALUES (1, 'manufacturer', '济半所', '济南半导体元件实验所', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (2, 'manufacturer', '济半', '济南半导体元件实验所', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (3, 'manufacturer', '济南半导体元件实验所', '济南半导体元件实验所', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (4, 'manufacturer', '北京七一八友晟电子有限公司', '北京七一八友晟电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (5, 'manufacturer', '友晟', '北京七一八友晟电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (6, 'manufacturer', '718友晟', '北京七一八友晟电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (7, 'manufacturer', '友晟电子', '北京七一八友晟电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (8, 'manufacturer', '北京718友晟电子', '北京七一八友晟电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (9, 'manufacturer', '北京元六鸿远电子科技股份有限公司', '北京元六鸿远电子科技股份有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (10, 'manufacturer', '元六', '北京元六鸿远电子科技股份有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (11, 'manufacturer', '元六鸿远', '北京元六鸿远电子科技股份有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (12, 'manufacturer', '北京元六', '北京元六鸿远电子科技股份有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (13, 'manufacturer', '北京元六鸿远', '北京元六鸿远电子科技股份有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (14, 'manufacturer', '元六鸿远电子', '北京元六鸿远电子科技股份有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (15, 'manufacturer', '深圳振华富电子有限公司', '深圳振华富电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (16, 'manufacturer', '振华富', '深圳振华富电子有限公司', '', NULL, '', NULL, NULL);
INSERT INTO `t_data_preprocessing` VALUES (17, 'manufacturer', '振华富电子', '深圳振华富电子有限公司', '', NULL, '', NULL, NULL);





-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('双清单管理', '0', '1', 'sqd', 'biz/sqd/index', 1, 0, 'C', '0', '0', 'biz:sqd:list', '#', 'admin', sysdate(), '', null, '双清单管理菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('双清单管理查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqd:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('双清单管理新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqd:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('双清单管理修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqd:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('双清单管理删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqd:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('双清单管理导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqd:export',       '#', 'admin', sysdate(), '', null, '');


-- 菜单 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('SQD明细', '0', '1', 'sqddetail', 'biz/sqddetail/index', 1, 0, 'C', '0', '0', 'biz:sqddetail:list', '#', 'admin', sysdate(), '', null, 'SQD明细菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('SQD明细查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqddetail:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('SQD明细新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqddetail:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('SQD明细修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqddetail:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('SQD明细删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqddetail:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('SQD明细导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'biz:sqddetail:export',       '#', 'admin', sysdate(), '', null, '');