package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 双清单管理对象 t_sqd
 * 
 * @author allen
 * @date 2024-04-30
 */
public class TSqd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 清单名称 */
    @Excel(name = "清单名称")
    private String sqdName;

    private List<TSqdDetail> sqddetaillist;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSqdName(String sqdName) 
    {
        this.sqdName = sqdName;
    }

    public String getSqdName() 
    {
        return sqdName;
    }

    // Getter和Setter
    public List<TSqdDetail> getSqddetaillist() {
        return sqddetaillist;
    }

    public void setSqddetaillist(List<TSqdDetail> sqddetaillist) {
        this.sqddetaillist = sqddetaillist;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sqdName", getSqdName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
