import request from '@/utils/request'

// 查询双清单管理列表
export function listSqd(query) {
  return request({
    url: '/biz/sqd/list',
    method: 'get',
    params: query
  })
}

// 查询双清单管理详细
export function getSqd(id) {
  return request({
    url: '/biz/sqd/' + id,
    method: 'get'
  })
}

// 新增双清单管理
export function addSqd(data) {
  return request({
    url: '/biz/sqd',
    method: 'post',
    data: data
  })
}

// 修改双清单管理
export function updateSqd(data) {
  return request({
    url: '/biz/sqd',
    method: 'put',
    data: data
  })
}

// 删除双清单管理
export function delSqd(id) {
  return request({
    url: '/biz/sqd/' + id,
    method: 'delete'
  })
}
